package nl.kallestruik.dtweaks.commands

import co.aikar.commands.BaseCommand
import co.aikar.commands.annotation.*
import nl.kallestruik.dtweaks.managers.FakePlayerManager
import org.bukkit.entity.Player

@CommandAlias("player")
@Conditions("tweakEnabled:tweak=FakePlayers")
class CommandPlayer(
    private val fakePlayerManager: FakePlayerManager
): BaseCommand() {

    @Subcommand("spawn")
    @CommandCompletion("@players")
    fun onSpawn(sender: Player, @Single playerName: String) {
        fakePlayerManager.spawnFakePlayer(sender.location, playerName)
    }

    @Subcommand("kill")
    @CommandCompletion("@players")
    fun onKill(sender: Player, @Single playerName: String) {
        fakePlayerManager.killFakePlayer(playerName)
    }
}