package nl.kallestruik.dtweaks.tweaks.mobtweaks

import nl.kallestruik.dtweaks.tweaks.ITweak
import org.bukkit.event.EventHandler
import org.bukkit.event.HandlerList
import org.bukkit.event.Listener
import org.bukkit.event.entity.EntityBreakDoorEvent
import org.bukkit.plugin.java.JavaPlugin

class NoDoorBreaking(
    private val plugin: JavaPlugin
): ITweak, Listener {
    override fun getIdentifier(): String = "NoDoorBreaking"
    override fun getCategories(): List<String> = listOf("mobs", "survival")

    override fun onEnable() {
        plugin.server.pluginManager.registerEvents(this, plugin)
    }

    override fun onDisable() {
        HandlerList.unregisterAll(this)
    }

    @EventHandler
    fun onDoorBreak(event: EntityBreakDoorEvent) {
        event.isCancelled = true
    }
}